<?php
/*** Removing shortcodes ***/
vc_remove_element("vc_widget_sidebar");
vc_remove_element("vc_gallery");
vc_remove_element("vc_wp_search");
vc_remove_element("vc_wp_meta");
vc_remove_element("vc_wp_recentcomments");
vc_remove_element("vc_wp_calendar");
vc_remove_element("vc_wp_pages");
vc_remove_element("vc_wp_tagcloud");
vc_remove_element("vc_wp_custommenu");
vc_remove_element("vc_wp_text");
vc_remove_element("vc_wp_posts");
vc_remove_element("vc_wp_links");
vc_remove_element("vc_wp_categories");
vc_remove_element("vc_wp_archives");
vc_remove_element("vc_wp_rss");
vc_remove_element("vc_teaser_grid");
vc_remove_element("vc_button");
vc_remove_element("vc_button2");
vc_remove_element("vc_cta_button");
vc_remove_element("vc_cta_button2");
vc_remove_element("vc_message");
vc_remove_element("vc_tour");
vc_remove_element("vc_progress_bar");
vc_remove_element("vc_pie");
vc_remove_element("vc_posts_slider");
vc_remove_element("vc_toggle");
vc_remove_element("vc_images_carousel");
vc_remove_element("vc_posts_grid");
vc_remove_element("vc_carousel");

/*** Remove unused parameters ***/
if (function_exists('vc_remove_param')) {
	vc_remove_param('vc_single_image', 'css_animation');
	
	vc_remove_param('vc_row', 'bg_image');
	vc_remove_param('vc_row', 'bg_color');
	vc_remove_param('vc_row', 'font_color');
	vc_remove_param('vc_row', 'margin_bottom');
	vc_remove_param('vc_row', 'bg_image_repeat');
	vc_remove_param('vc_tabs', 'interval');
	vc_remove_param('vc_separator', 'style');
	vc_remove_param('vc_separator', 'color');
	vc_remove_param('vc_separator', 'accent_color');
	vc_remove_param('vc_separator', 'el_width');
	vc_remove_param('vc_text_separator', 'style');
	vc_remove_param('vc_text_separator', 'color');
	vc_remove_param('vc_text_separator', 'accent_color');
	vc_remove_param('vc_text_separator', 'el_width');
}


/*** Row ***/

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"show_settings_on_create"=>true,
	"heading" => "Row Type",
	"param_name" => "row_type",
	"value" => array(
		
		"WR Section" => "qubackcolor",
		"WR Backgroun Image" => "wrisotope",
		"WR Full Width" => "wrfullwidth",
		"WR Video Background" => "wrvideo",
		
		
	)
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Background Options",
	"param_name" => "backgroundtype",
	"value" => array(
		"Parallax" => "st1",
		"Flat" => "st2"		
	),
	"dependency" => Array('element' => "row_type", 'value' => array('wrisotope'))
));


vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Overlay",
	"param_name" => "deoverlay",
	"value" => array(
		"Disable" => "st1",
		"Enable" => "st2"		
	),
	"dependency" => Array('element' => "row_type", 'value' => array('wrisotope'))
));



vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Type",
	"param_name" => "type",
	"value" => array(
		"Full Width" => "full_width",
		"In Grid" => "grid"		
	),
	"dependency" => Array('element' => "row_type", 'value' => array('row'))
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Layout",
	"param_name" => "quconlayout",
	"value" => array(
		"White" => "qu_full_width",
		"Gray" => "qu_grid"		
	),
	"dependency" => Array('element' => "row_type", 'value' => array('qubackcolor'))
));


vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Put MP4 video url",
	"param_name" => "vidurl",
	"value" => "",
	"dependency" => Array('element' => "row_type", 'value' => array('wrvideo'))
));


vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Anchor ID",
	"param_name" => "anchor",
	"value" => "",
	"dependency" => Array('element' => "row_type", 'value' => array('row','parallax','wrfluid'))
));


vc_add_param("vc_row", array(
	"type" => "dropdown",
	"class" => "",
	"heading" => "Text Align",
	"param_name" => "text_align",
	"value" => array(
		"Left" => "left",
		"Center" => "center",
		"Right" => "right"
	),
	"dependency" => Array('element' => "row_type", 'value' => array('row'))
));



vc_add_param("vc_row", array(
	"type" => "attach_image",
	"class" => "",
	"heading" => "Background image",
	"value" => "",
	"param_name" => "background_image",
	"description" => "",
	"dependency" => Array('element' => "row_type", 'value' => array('wrisotope', 'row'))
));



vc_add_param("vc_row", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => "Background color",
	"param_name" => "background_color",
	"value" => "",
	"description" => "",
	"dependency" => Array('element' => "row_type", 'value' => array('row'))
));
vc_add_param("vc_row", array(
	"type" => "colorpicker",
	"class" => "",
	"heading" => "Border bottom color",
	"param_name" => "border_color",
	"value" => "",
	"description" => "",
	"dependency" => Array('element' => "row_type", 'value' => array('row'))
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Padding",
	"value" => "",
	"param_name" => "side_padding",
	"description" => "Padding (left/right in % - full width only)",
	"dependency" => Array('element' => "type", 'value' => array('full_width'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Padding Top",
	"value" => "",
	"param_name" => "padding_top",
	"description" => "",
	"dependency" => Array('element' => "row_type", 'value' => array('row','qubackcolor'))
));
vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Padding Bottom",
	"value" => "",
	"param_name" => "padding_bottom",
	"description" => "",
	"dependency" => Array('element' => "row_type", 'value' => array('row','qubackcolor'))
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"class" => "",
	"heading" => "Section Title",
	"value" => "",
	"param_name" => "firenze_title",
	"description" => "",
	"dependency" => Array('element' => "row_type", 'value' => array('qubackcolor', 'wrisotope'))
));





/***************** Primax Shortcodes *********************/

// event intro
vc_map( array(
		"name" => "Event Intro",
		"base" => "primax_event",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			array(
				"type" => "attach_image",
				"holder" => "div",
				"class" => "",
				"heading" => "Upload Background Image",
				"param_name" => "image",
				"description" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Title",
				"param_name" => "title",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => "Content",
				"param_name" => "content",
				"value" => "",
				"description" => "",
				
			),
			
			
			
		)
) );


// Call to action
vc_map( array(
		"name" => "Call to Action",
		"base" => "primax_callto_action",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Title",
				"param_name" => "title",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Button Text",
				"param_name" => "button_text",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Button URL",
				"param_name" => "button_url",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "button_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "",
			),
			
		)
) );


// Animated text
vc_map( array(
		"name" => "Animated Text Block",
		"base" => "primax_animatedtext",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => "Title",
				"param_name" => "content",
				"value" => "",
				"description" => "Rotate Text: &lt;span class='js-rotating'&gt;creative, unique, minimal&lt;/span&gt;.",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Button Text",
				"param_name" => "button_text",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Button URL",
				"param_name" => "button_url",
				"value" => "",
				"description" => "",
				
			),
			
						array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "button_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "",
			),
			
			array(
				"type" => "textarea",
				"holder" => "div",
				"class" => "",
				"heading" => "Content",
				"param_name" => "title",
				"value" => "",
				"description" => "",
				
			),
			
		)
) );

// Services
vc_map( array(
		"name" => "Service",
		"base" => "primax_services",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => "Element Style",
				"param_name" => "elementstyle",
				"value" => array(
					"Image Style" => "st1",
					"Icon Style" => "st2",
						
				),
				"description" => "",
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Title",
				"param_name" => "title",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "attach_image",
				"holder" => "div",
				"class" => "",
				"heading" => "Upload Image",
				"param_name" => "image",
				"description" => "",
				"dependency" => Array('element' => "elementstyle", 'value' => array('st1')),
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Icon Class",
				"param_name" => "iconclass",
				"value" => "",
				"description" => "",
				"dependency" => Array('element' => "elementstyle", 'value' => array('st2')),
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Button Text",
				"param_name" => "button_text",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Button URL",
				"param_name" => "button_url",
				"value" => "",
				"description" => "",
				
			),
			
						array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "button_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "",
			),
			
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => "Content",
				"param_name" => "content",
				"value" => "",
				"description" => "",
				
			),
			
		)
) );

// image
vc_map( array(
		"name" => "Single Image",
		"base" => "primax_single_image",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			array(
				"type" => "attach_image",
				"holder" => "div",
				"class" => "",
				"heading" => "Upload Image",
				"param_name" => "image",
				"description" => "",
				
			),
			
		)
) );


// feature
vc_map( array(
		"name" => "Feature",
		"base" => "primax_feature",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => "Feature Style",
				"param_name" => "featurestyle",
				"value" => array(
					"Style 1" => "st1",
					"Style 2" => "st2",	
					"Style 3" => "st3",	
					"Style 4" => "st4",	
					"Style 5" => "st5",	
					"Style 6" => "st6",	
					
				),
				"description" => "",
				
			),
			
			
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Title",
				"param_name" => "title",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Icon Class",
				"param_name" => "iconclass",
				"value" => "",
				"description" => "",
				"dependency" => Array('element' => "featurestyle", 'value' => array('st1', 'st2', 'st3', 'st4', 'st5')),
				
			),
			
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => "Align",
				"param_name" => "wrfloat",
				"value" => array(
					"Left" => "st1",
					"Right" => "st2",	
					
					
				),
				"dependency" => Array('element' => "featurestyle", 'value' => array('st5')),
				"description" => "",
				
			),
			
			array(
				"type" => "attach_image",
				"holder" => "div",
				"class" => "",
				"heading" => "Upload Image",
				"param_name" => "image",
				"dependency" => Array('element' => "featurestyle", 'value' => array('st6')),
				"description" => ""
			),
			
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => "Content",
				"param_name" => "content",
				"value" => "",
				"description" => "",
				
			),
			
		)
) );


// number counter
vc_map( array(
		"name" => "Number Counter",
		"base" => "primax_number_counter",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
		
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => "Element Style",
				"param_name" => "elementstyle",
				"value" => array(
					"Light" => "st1",
					"Dark" => "st2",
						
				),
				"description" => "",
			),	
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Title",
				"param_name" => "title",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Icon Class",
				"param_name" => "iconclass",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Count Number",
				"param_name" => "numbercounter",
				"value" => "",
				"description" => "",
				
			),
			
			
			
		)
) );

//team block
vc_map( array(
		"name" => "Team Member",
		"base" => "primax_team_block",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => "Element Style",
				"param_name" => "elementstyle",
				"value" => array(
					"Style 1" => "st1",
					"Style 2" => "st2",
						
				),
				"description" => "",
			),		
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Name",
				"param_name" => "title",
				"value" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Designation",
				"param_name" => "designation",
				"value" => "",
				
			),
			
			 array(
				"type" => "attach_image",
				"holder" => "div",
				"class" => "",
				"heading" => "Member's Image",
				"param_name" => "image",
				"description" => ""
			),
			
			
			
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => "Content",
				"param_name" => "content",
				"description" => ""
			),
			
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "link_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "",
			),		
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Behance Social URL",
				"param_name" => "behance",
				"value" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Facebook Social URL",
				"param_name" => "facebook",
				"value" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Google Social URL",
				"param_name" => "gplus",
				"value" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Twitter Social URL",
				"param_name" => "twitter",
				"value" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Youtube Social URL",
				"param_name" => "youtube",
				"value" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Vimeo Social URL",
				"param_name" => "vimeo",
				"value" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Pinterest Social URL",
				"param_name" => "pinterest",
				"value" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Xing Social URL",
				"param_name" => "xing",
				"value" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Linkedin Social URL",
				"param_name" => "linkedin",
				"value" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Instagram Social URL",
				"param_name" => "instagram",
				"value" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Soundcloud Social URL",
				"param_name" => "soundcloud",
				"value" => "",
				
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Dribbble Social URL",
				"param_name" => "dribbble",
				"value" => "",
				
			),
			
		)
) );


// wr service content
class WPBakeryShortCode_WR_VC_Features  extends WPBakeryShortCodesContainer {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "Feature Slider", "primax",
        "base" => "wr_vc_features",
        "as_parent" => array('only' => 'wr_vc_feature'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
		"content_element" => true,
		"category" => 'bY Primax',
		"icon" => "primax-icon",
        "show_settings_on_create" => true,
        "params" => array(
		
		
		array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_attr__('Class', 'primax'),
				"param_name" => "class",
				"description" => "Optional",
				
			),
			
            
        ),
        "js_view" => 'VcColumnView'
) );

class WPBakeryShortCode_WR_VC_Feature extends WPBakeryShortCode {}
vc_map( array(
        "name" => "Slider Item", "primax",
        "base" => "wr_vc_feature",
        "content_element" => true,
		"icon" => "primax-icon",
        "as_child" => array('only' => 'wr_vc_features'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
				
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_attr__('Title', 'primax'),
				"param_name" => "title",
				"description" => "",
				
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_attr__('Icon Class', 'primax'),
				"param_name" => "iconclass",
				"description" => "",
				
			),
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => esc_attr__('Content', 'primax'),
				"param_name" => "content",
				"description" => "",
				
			),
			
					
            
        )
) );



//Portfolio
vc_map( array(
		"name" => esc_attr__('Portfolio', 'primax'),
		"base" => "primax_portfolio",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			
			
			
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => esc_attr__('Filter Option', 'primax'),
				"param_name" => "filter",
				"value" => array(
					"Enable" => "st1",
					"Disable" => "st2",
					
										
				),
				"description" => "",
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Category Name",
				"param_name" => "categoryname",
				"value" => "",
				"description" => "Use this field if you need.",
				"dependency" => Array('element' => "filter", 'value' => array('st2'))
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_attr__('Post Count', 'primax'),
				"param_name" => "postcount",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'primax'),
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_attr__('Post Offset', 'primax'),
				"param_name" => "postoffset",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'primax'),
			),	

			
			
		)
) );



// Pricing Block
class WPBakeryShortCode_WR_VC_Pricing  extends WPBakeryShortCodesContainer {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "Price Table", "primax",
        "base" => "wr_vc_pricing",
        "as_parent" => array('only' => 'wr_vc_pricing_list'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
		"category" => 'bY Primax',
		"icon" => "primax-icon",
        "show_settings_on_create" => true,
        "params" => array(
						
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Title",
				"param_name" => "title",
				"value" => ""
			),   
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Amount",
				"param_name" => "price",
				"value" => "",
			),		
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Time Period",
				"param_name" => "period",
				"value" => "",
			),		
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Button Text",
				"param_name" => "button_text",
				"value" => "",
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Button Link URL",
				"param_name" => "button_link",
				"value" => "",
			),			
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => "Link Target",
				"param_name" => "link_target",
				"value" => array(
					"Self" => "_self",
					"Blank" => "_blank",
					"Parent" => "_parent",	
					"Top" => "_top"	
				),
				"description" => "",
			),				
			array(
				"type" => "dropdown",
				"holder" => "div",
				"class" => "",
				"heading" => "Recommended",
				"param_name" => "active",
				"value" => array(
					"Disable" => "deactive",
					"Enable" => "featured",
				),
				"description" => "",
			),						
            
        ),
        "js_view" => 'VcColumnView'
) );



class WPBakeryShortCode_WR_VC_Pricing_List extends WPBakeryShortCode {}
vc_map( array(
        "name" => "Pricing List Item", "amio",
        "base" => "wr_vc_pricing_list",
        "content_element" => true,
		"icon" => "primax-icon",
        "as_child" => array('only' => 'wr_vc_pricing'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => "Pricing Table List",
				"param_name" => "content",
				"value" => ""
			),						
            
        )
) );


// wr testimonials
class WPBakeryShortCode_WR_VC_Testimonials  extends WPBakeryShortCodesContainer {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "Testimonial", "primax",
        "base" => "wr_vc_testimonials",
        "as_parent" => array('only' => 'wr_vc_testimonial'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
		"category" => 'bY Primax',
		"icon" => "primax-icon",
        "show_settings_on_create" => true,
        "params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Class",
				"param_name" => "class",
				"value" => ""
			),	
            
        ),
        "js_view" => 'VcColumnView'
) );

class WPBakeryShortCode_WR_VC_Testimonial extends WPBakeryShortCode {}
vc_map( array(
        "name" => "Testimonial Item", "nadea",
        "base" => "wr_vc_testimonial",
        "content_element" => true,
		"icon" => "primax-icon",
        "as_child" => array('only' => 'wr_vc_testimonials'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
				
			array(
				"type" => "attach_image",
				"holder" => "div",
				"class" => "",
				"heading" => "Client's Image",
				"param_name" => "image",
				"description" => ""
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Company Name",
				"param_name" => "companyname",
				"value" => ""
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Client Name",
				"param_name" => "clientname",
				"value" => ""
			),
			
			array(
				"type" => "textarea_html",
				"holder" => "div",
				"class" => "",
				"heading" => "Text",
				"param_name" => "content",
				"value" => ""
			),
							
            
        )
) );


// client logo
class WPBakeryShortCode_WR_VC_Clients  extends WPBakeryShortCodesContainer {}
//Register "container" content element. It will hold all your inner (child) content elements
vc_map( array(
        "name" => "Client Logo", "primax",
        "base" => "wr_vc_clients",
        "as_parent" => array('only' => 'wr_vc_client'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
        "content_element" => true,
		"category" => 'bY Primax',
		"icon" => "primax-icon",
        "show_settings_on_create" => true,
        "params" => array(
			
            
        ),
        "js_view" => 'VcColumnView'
) );

class WPBakeryShortCode_WR_VC_Client extends WPBakeryShortCode {}
vc_map( array(
        "name" => "Client Logo Item", "nadea",
        "base" => "wr_vc_client",
        "content_element" => true,
		"icon" => "primax-icon",
        "as_child" => array('only' => 'wr_vc_clients'), // Use only|except attributes to limit parent (separate multiple values with comma)
        "params" => array(
				
			
			
			array(
				"type" => "attach_image",
				"holder" => "div",
				"class" => "",
				"heading" => "Uplod Logo",
				"param_name" => "image",
				"description" => ""
			),
							
            
        )
) );


//blog
vc_map( array(
		"name" => esc_attr__('Blog', 'primax'),
		"base" => "primax_blog",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			
			
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Category Name",
				"param_name" => "categoryname",
				"value" => "",
				"description" => "Use this field if you need.",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_attr__('Post Count', 'primax'),
				"param_name" => "postcount",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'primax'),
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_attr__('Post Offset', 'primax'),
				"param_name" => "postoffset",
				"value" => "",
				"description" => esc_attr__('Use this field if you need.', 'primax'),
			),	

			
			
		)
) );




//video
vc_map( array(
		"name" => esc_attr__('Embed Video', 'primax'),
		"base" => "primax_video",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Video URL",
				"param_name" => "url",
				"value" => "",
				"description" => "Use Youtube/ Vimeo embed video url.",
				
			),
		
		)
) );



//Skill
vc_map( array(
		"name" => esc_attr__('Skill Bar', 'primax'),
		"base" => "primax_skill",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Title",
				"param_name" => "title",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Counter",
				"param_name" => "counter",
				"value" => "",
				"description" => "",
				
			),
		
		)
) );


//contact information
vc_map( array(
		"name" => esc_attr__('Contact Information', 'primax'),
		"base" => "primax_contact_info",
		"category" => 'bY Primax',
		"icon" => "primax-icon",
		"allowed_container_element" => 'vc_row',
		"params" => array(
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Icon Class",
				"param_name" => "iconclass",
				"value" => "",
				"description" => "Use <a href='http://fontawesome.io/cheatsheet/' target='_blank'>Fontawesome</a> Icon Class",
				
			),
			
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => "Title",
				"param_name" => "title",
				"value" => "",
				"description" => "",
				
			),
			
			array(
				"type" => "textarea",
				"holder" => "div",
				"class" => "",
				"heading" => "Contact Information",
				"param_name" => "info",
				"value" => "",
				"description" => "",
				
			),
		
		)
) );








?>