<?php
// Enqueue Style
require get_template_directory() . '/includes/style.php';
// Enqueue JS
require get_template_directory() . '/includes/js.php';
// redux options	
require get_template_directory() . '/includes/primax-options.php';
require get_template_directory() . '/includes/color.php';
require get_template_directory() . '/includes/AfterSetupTheme.php';
require get_template_directory() . '/includes/functions.php';
require get_template_directory() . '/pagination.php';
if ( ! isset( $content_width ) ) $content_width = 900;	

$primax_options = get_option('primax');

// register nav menu
function primax_register_menus() {
register_nav_menus( array( 
'top-menu' => esc_attr__( 'Primary menu','primax' ),
)
		);
}
add_action('init', 'primax_register_menus');


add_action( 'after_setup_theme', 'primax_setup' );
function primax_setup() {
// Theme Support  
	function primax_editor_styles() {
    add_editor_style( 'style.css' );
}
	add_action( 'after_setup_theme', 'primax_add_editor_styles' );
	add_action( 'after_setup_theme', 'primax_lang_setup' );
	function primax_lang_setup(){
    load_theme_textdomain('primax', get_template_directory() . '/languages');
    }
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'custom-background' );
	add_theme_support( 'custom-header' );
	add_theme_support( "title-tag" );
	add_theme_support( 'post-formats', array('image','video','gallery') );
	add_post_type_support( 'portgallery', 'post-formats' );
}
// Word Limit 
	function primax_string_limit_words($string, $word_limit)
	{
	$words = explode(' ', $string, ($word_limit + 1));
	if(count($words) > $word_limit)
	array_pop($words);
	return implode(' ', $words);
	}
// Add post thumbnail functionality
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 559, 220, true ); // Normal post thumbnails
	add_image_size( 'primax_blog_image', 370, 208, true ); // port Thumbnail
	add_image_size( 'primax_portfolio_image', 600, 400, true ); // port Thumbnail
	add_image_size( 'primax_gallery', 838, 468, true ); // port Thumbnail
	

	
// How comments are displayed
function primax_comment($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    extract($args, EXTR_SKIP);
if ( 'div' == $args['style'] ) {
      $tag = 'div';
      $add_below = 'comment';
    } else {
      $tag = 'li';
      $add_below = 'div-comment';
    }
?>
    <<?php echo esc_attr($tag); ?> <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?>>
    <?php if ( 'div' != $args['style'] ) : ?>
	<div id="div-comment-<?php comment_ID() ?>" class="single-comment">
	
	<div class="comment-left">
	<?php if ($args['avatar_size'] != 0) echo get_avatar( $comment, '56' ); ?>
	</div>
	
	
    <?php endif; ?>
    
	<div class="comment-body">
		<div class="comment-meta clearfix">
			<span class="user-name-pri"><?php printf(__('%s','primax'), get_comment_author_link()) ?></span>
				<time ><?php comment_date(get_option( 'date_format')); ?></time>             
				<?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
		</div>
	</div>
	
	<div class="comment-footer">
		<?php comment_text() ?>
	</div>
	
	
   
     
	 
     <div class="clear"></div>
      <?php if ($comment->comment_approved == '0') : ?>
    <em class="comment-awaiting-moderation"><?php esc_attr_e('Your comment is awaiting moderation.','primax') ?></em>
    <br />
	</div>
   <?php endif; ?>    
<?php if ( 'div' != $args['style'] ) : ?>
    
    <?php endif; ?>
<?php
        }
// create sidebar & widget area
if(function_exists('register_sidebar')) {
function primax_theme_slug_widgets_init() {
    register_sidebar( array(
        'name' => esc_attr__( 'Blog Sidebar', 'primax' ),
        'id' => 'sidebar-1',
        'description' => esc_attr__( 'This area for Blog widgets.', 'primax' ),
        'before_widget' => '<div id="%1$s" class="widget  single-side-bar %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h2>', 
		'after_title'   => '</h2>'
    ) );
}
add_action( 'widgets_init', 'primax_theme_slug_widgets_init' );

function primax_widgets_init() {
    register_sidebar( array(
        'name' => esc_attr__( 'Page Sidebar', 'primax' ),
        'id' => 'sidebar-2',
        'description' => esc_attr__( 'This area for Page Sidebar widgets.', 'primax' ),
        'before_widget' => '<div id="%1$s" class="widget primax-sidebar-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h4 class="title">', 
		'after_title'   => '</h4>'
    ) );
}
add_action( 'widgets_init', 'primax_widgets_init' );

if (class_exists('WooCommerce')) {
function primax_theme_slug_widgets___init() {
    register_sidebar( array(
        'name' => esc_attr__( 'WOOCOMMERCE Sidebar','primax' ),
        'id' => 'sidebar-4',
        'description' => esc_attr__( 'This area for All WOOCOMMERCE Widget.','primax' ),
        'before_widget' => '<div id="%1$s" class="widget primax-sidebar-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h4 class="title">', 
		'after_title'   => '</h4>'
    ) );
}
add_action( 'widgets_init', 'primax_theme_slug_widgets___init' );
}

function primax_footer_widgets_init() {
    register_sidebar( array(
        'name' => esc_attr__( 'Footer Widget 1', 'primax' ),
        'id' => 'sidebar-3',
        'description' => esc_attr__( 'This area for footer widget 1.', 'primax' ),
        'before_widget' => '<div id="%1$s" class="widget footer-block primax-sidebar-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h3>', 
		'after_title'   => '</h3>'
    ) );
}
add_action( 'widgets_init', 'primax_footer_widgets_init' );

function primax_footer2_widgets_init() {
    register_sidebar( array(
        'name' => esc_attr__( 'Footer Widget 2', 'primax' ),
        'id' => 'sidebar-5',
        'description' => esc_attr__( 'This area for footer widget 2.', 'primax' ),
        'before_widget' => '<div id="%1$s" class="widget footer-block primax-sidebar-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h3>', 
		'after_title'   => '</h3>'
    ) );
}
add_action( 'widgets_init', 'primax_footer2_widgets_init' );

function primax_footer3_widgets_init() {
    register_sidebar( array(
        'name' => esc_attr__( 'Footer Widget 3', 'primax' ),
        'id' => 'sidebar-6',
        'description' => esc_attr__( 'This area for footer widget 3.', 'primax' ),
        'before_widget' => '<div id="%1$s" class="widget footer-block primax-sidebar-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h3>', 
		'after_title'   => '</h3>'
    ) );
}
add_action( 'widgets_init', 'primax_footer3_widgets_init' );

function primax_footer4_widgets_init() {
    register_sidebar( array(
        'name' => esc_attr__( 'Footer Widget 4', 'primax' ),
        'id' => 'sidebar-7',
        'description' => esc_attr__( 'This area for footer widget 4.', 'primax' ),
        'before_widget' => '<div id="%1$s" class="widget footer-block primax-sidebar-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<h3>', 
		'after_title'   => '</h3>'
    ) );
}
add_action( 'widgets_init', 'primax_footer4_widgets_init' );

}
if(function_exists('vc_set_as_theme')) vc_set_as_theme();
// Initialising Shortcodes
if (class_exists('WPBakeryVisualComposerAbstract')) {
  function requireVcExtend(){
    require_once get_template_directory() . '/extendvc/extend-vc.php';
  }
  add_action('init', 'requireVcExtend',2);
}

/* CHECK WOOCOMMERCE IS ACTIVE
  ================================================== */ 
  if ( ! function_exists( 'primax_woocommerce_activated' ) ) {
    function primax_woocommerce_activated() {
      if ( class_exists( 'woocommerce' ) ) {
        return true;
      } else {
        return false;
      }
    }
  }
add_theme_support( 'woocommerce' );

remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0 );
remove_action('woocommerce_pagination', 'woocommerce_pagination', 10);
function woocommerce_pagination() {
		primax_pagination(); 		
	}
add_action( 'woocommerce_pagination', 'woocommerce_pagination', 10);

remove_action( 'woocommerce_sidebar', 'woocommerce_get_sidebar', 10 );
remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5 );
remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10 );
remove_action( 'woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10 );

add_filter( 'woocommerce_output_related_products_args', 'primax_related_products_args' );
  function primax_related_products_args( $args ) {

	$args['posts_per_page'] = 3; // 3 related products
	$args['columns'] = 3; // arranged in 3 columns
	return $args;
}

add_filter( 'loop_shop_per_page', 'new_loop_shop_per_page', 20 );

function new_loop_shop_per_page( $cols ) {
  // $cols contains the current number of products per page based on the value stored on Options -> Reading
  // Return the number of products you wanna show per page.
  $cols = 9;
  return $cols;
}
