<?php
function primax_removeDemoModeLink() { 
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
    }
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
    }
}
add_action('init', 'primax_removeDemoModeLink');


/**
 * Include the TGM_Plugin_Activation class.
 */
require_once (get_template_directory().'/framework/class-tgm-plugin-activation.php');

add_action( 'tgmpa_register', 'primax_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 */
function primax_register_required_plugins() {
$primax_plugins = array(
// This is an example of how to include a plugin from the WordPress Plugin Repository.
        array(
            'name'      => esc_attr__( 'Redux Framework', 'primax' ),
            'slug'      => 'redux-framework',
            'required'  => true,
			'force_activation'   => false,
            'force_deactivation' => false,
        ),
		
		array(
            'name'      => esc_attr__( 'Visual Composer', 'primax' ),
            'slug'      => 'js_composer',
			'source'    => 'http://webredox.net/plugins/js_composer.zip',
            'required'  => true,
        ),	
		
		array(
            'name'      => esc_attr__( 'Revolution Slider', 'primax' ),
            'slug'      => 'revslider',
            'source'    => 'http://webredox.net/plugins/revslider.zip',
            'required'  => true,  
        ),
		
		array(
            'name'      => esc_attr__( 'Primax Plugin', 'primax' ),
            'slug'      => 'primax-plugin',
			'source'    => 'http://webredox.net/plugins/primax-plugin.zip',
			'required'  => true,
        ),
		
		array(
            'name'      => esc_attr__( 'Contact Form 7', 'primax' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ),
		
		array(
            'name'      => esc_attr__( 'Meta Box', 'primax' ),
            'slug'      => 'meta-box',
            'required'  => true,
        ),
		
		array(
            'name'      => esc_attr__( 'Recent Posts Widget Extended', 'primax' ),
            'slug'      => 'recent-posts-widget-extended',
            'required'  => false,
        ),
		
		array(
            'name'      => esc_attr__( 'MailChimp for WordPress', 'primax' ),
            'slug'      => 'mailchimp-for-wp',
            'required'  => false,
        ),
		
		array(
            'name'      => esc_attr__( 'WP Instagram Widget', 'primax' ),
            'slug'      => 'wp-instagram-widget',
            'required'  => false,
        ),
		
		
	
    );

    /**
     * Array of configuration settings. Amend each line as needed.
     */
    $primax_config = array(
        'default_path' => '',                      
        'menu'         => 'tgmpa-install-plugins',
        'has_notices'  => true,
        'dismissable'  => true,
        'dismiss_msg'  => '',                      
        'is_automatic' => false,                   
        'message'      => '',                      
        
    );
tgmpa( $primax_plugins, $primax_config );

if ( is_admin() ) {

	function primax_remove_revolution_slider_meta_boxes() {
		remove_meta_box( 'mymetabox_revslider_0', 'page', 'normal' );
		remove_meta_box( 'mymetabox_revslider_0', 'post', 'normal' );
		remove_meta_box( 'mymetabox_revslider_0', 'gallery', 'normal' );
		remove_meta_box( 'slugdiv', 'gallery', 'normal' );
	}

	add_action( 'do_meta_boxes', 'primax_remove_revolution_slider_meta_boxes' );
	
}

}
