<?php $primax_options = get_option('primax'); ?>
<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>
<div class="inner">
		<?php if($primax_options['headerstyle'] == 'st5') {?>
		<?php if ( is_product_category() ){
	    global $wp_query, $primax_hd_back;
	    $cat = $wp_query->get_queried_object();
	    $thumbnail_id = get_woocommerce_term_meta( $cat->term_id, 'thumbnail_id', true );
	    $primax_image = wp_get_attachment_url( $thumbnail_id );
	    $primax_hd_back = esc_url(Primax_AfterSetupTheme::return_thme_option('product-header-wr-img','url'));
	    if($primax_image != '') {
		    echo '<section id="breadcrumb" class="space breadcrumb-img" style="background:url(' . $primax_image . ');" >';
		}
		else{
		 echo '<section id="breadcrumb" class="space breadcrumb-img" style="background:url(' . $primax_hd_back . ');" >';
		}
		
	   }
	   else{?>
	   <section id="breadcrumb" class="space breadcrumb-img" style="background-image: url(<?php echo esc_url(Primax_AfterSetupTheme::return_thme_option('product-header-wr-img','url'));?>);">
	   <?php }?>
		
		<div class="overlay-dark"></div>
			<div class="container">
				<div class="row">
					<div class="col-sm-6 breadcrumb-block">
						<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
						<h2><?php woocommerce_page_title(); ?></h2>
						<?php endif; ?>
						
					</div>
					<div class="col-sm-6 breadcrumb-block text-right">
						<ol class="breadcrumb">
							<li><span><?php esc_attr_e('You are here: ','primax');?></span><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php  bloginfo('name'); ?></a></li>
							<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
							<li class="active"><?php woocommerce_page_title(); ?></li>
							<?php endif; ?>
							
						</ol>
					</div>
				</div>
			</div>
		</section>
		<?php } else { ?>
		
        <!--Breadcrumb-->
		<section id="breadcrumb" class="space">
			<div class="container">
				<div class="row">
					<div class="col-sm-6 breadcrumb-block">
						<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
						<h2><?php woocommerce_page_title(); ?></h2>
						<?php endif; ?>
					</div>
					<div class="col-sm-6 breadcrumb-block text-right">
						<ol class="breadcrumb">
						<li><span><?php esc_attr_e('You are here: ','primax');?></span><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php  bloginfo('name'); ?></a></li>
							<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
							<li class="active"><?php woocommerce_page_title(); ?></li>
							<?php endif; ?>
						</ol>
					</div>
				</div>
			</div>
		</section>
		<?php } ?>

	<?php
		/**
		 * woocommerce_before_main_content hook.
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 * @hooked WC_Structured_Data::generate_website_data() - 30
		 */
		do_action( 'woocommerce_before_main_content' );
	?>

    <section id="blog" class="space-100">
			<div class="container">
				<div class="row">
		<div class="col-sm-9 blog-base">
			<div class="col-sm-12 no-padding">
		<?php if ( have_posts() ) : ?>

			<?php
				/**
				 * woocommerce_before_shop_loop hook.
				 *
				 * @hooked wc_print_notices - 10
				 * @hooked woocommerce_result_count - 20
				 * @hooked woocommerce_catalog_ordering - 30
				 */
				do_action( 'woocommerce_before_shop_loop' );
			?>

			<?php woocommerce_product_loop_start(); ?>

				<?php woocommerce_product_subcategories(); ?>

				<?php while ( have_posts() ) : the_post(); ?>

					<?php
						/**
						 * woocommerce_shop_loop hook.
						 *
						 * @hooked WC_Structured_Data::generate_product_data() - 10
						 */
						do_action( 'woocommerce_shop_loop' );
					?>

					<?php wc_get_template_part( 'content', 'product' ); ?>

				<?php endwhile; // end of the loop. ?>

			<?php woocommerce_product_loop_end(); ?>

			<?php
				/**
				 * woocommerce_after_shop_loop hook.
				 *
				 * @hooked woocommerce_pagination - 10
				 */
				do_action( 'woocommerce_after_shop_loop' );
			?>

		<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

			<?php
				/**
				 * woocommerce_no_products_found hook.
				 *
				 * @hooked wc_no_products_found - 10
				 */
				do_action( 'woocommerce_no_products_found' );
			?>

		<?php endif; ?>

	<?php
		/**
		 * woocommerce_after_main_content hook.
		 *
		 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		do_action( 'woocommerce_after_main_content' );
	?>

	<?php
		/**
		 * woocommerce_sidebar hook.
		 *
		 * @hooked woocommerce_get_sidebar - 10
		 */
		do_action( 'woocommerce_sidebar' );
	?>
	<aside class="col-sm-3 side-bar">
						<?php if ( is_active_sidebar( 'sidebar-4' ) ) : ?>
						<?php dynamic_sidebar( 'sidebar-4' ); ?>
						<?php endif; ?>
	</aside>
	</div>
	</div>
	
	
	
	</div>
		  </div>
		  </section>
		  </div>

<?php get_footer( 'shop' ); ?>
