<?php $primax_options = get_option('primax'); ?>
<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>
<?php if($primax_options['headerstyle'] == 'st5') {?>
		<section id="breadcrumb" class="space breadcrumb-img" style="background-image: url(<?php echo esc_url(Primax_AfterSetupTheme::return_thme_option('product-sin-header-wr-img','url'));?>);">
		<div class="overlay-dark"></div>
			<div class="container">
				<div class="row">
					<div class="col-sm-6 breadcrumb-block">
						
						<h2><?php the_title();?></h2>
						
					</div>
					<div class="col-sm-6 breadcrumb-block text-right">
						<ol class="breadcrumb">
							<li><span><?php esc_attr_e('You are here: ','primax');?></span><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php  bloginfo('name'); ?></a></li>
							
							<li class="active"><?php the_title();?></li>
							
						</ol>
					</div>
				</div>
			</div>
		</section>
		<?php } else { ?>
		
        <!--Breadcrumb-->
		<section id="breadcrumb" class="space">
			<div class="container">
				<div class="row">
					<div class="col-sm-6 breadcrumb-block">
						
						<h2><?php the_title();?></h2>
						
					</div>
					<div class="col-sm-6 breadcrumb-block text-right">
						<ol class="breadcrumb">
						<li><span><?php esc_attr_e('You are here: ','primax');?></span><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php  bloginfo('name'); ?></a></li>
							
							<li class="active"><?php the_title();?></li>
							
						</ol>
					</div>
				</div>
			</div>
		</section>
		<?php } ?>
<section id="blog" class="space-100">
	<div class="container">
		<div class="row">
<?php
	/**
	 * woocommerce_before_single_product hook.
	 *
	 * @hooked wc_print_notices - 10
	 */
	 do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }
?>
<div class="col-sm-9 blog-base">
	<div class="col-sm-12 no-padding">
<div id="product-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php
		/**
		 * woocommerce_before_single_product_summary hook.
		 *
		 * @hooked woocommerce_show_product_sale_flash - 10
		 * @hooked woocommerce_show_product_images - 20
		 */
		do_action( 'woocommerce_before_single_product_summary' );
	?>

	<div class="summary entry-summary">

		<?php
			/**
			 * woocommerce_single_product_summary hook.
			 *
			 * @hooked woocommerce_template_single_title - 5
			 * @hooked woocommerce_template_single_rating - 10
			 * @hooked woocommerce_template_single_price - 10
			 * @hooked woocommerce_template_single_excerpt - 20
			 * @hooked woocommerce_template_single_add_to_cart - 30
			 * @hooked woocommerce_template_single_meta - 40
			 * @hooked woocommerce_template_single_sharing - 50
			 * @hooked WC_Structured_Data::generate_product_data() - 60
			 */
			do_action( 'woocommerce_single_product_summary' );
		?>
		<ul class="share-container socials primax-product-share"  data-share="['facebook','pinterest','googleplus','twitter','linkedin']">
	</div><!-- .summary -->

	<?php
		/**
		 * woocommerce_after_single_product_summary hook.
		 *
		 * @hooked woocommerce_output_product_data_tabs - 10
		 * @hooked woocommerce_upsell_display - 15
		 * @hooked woocommerce_output_related_products - 20
		 */
		do_action( 'woocommerce_after_single_product_summary' );
	?>

</div><!-- #product-<?php the_ID(); ?> -->
</div>
</div>
<aside class="col-sm-3 side-bar">
						<?php if ( is_active_sidebar( 'sidebar-4' ) ) : ?>
						<?php dynamic_sidebar( 'sidebar-4' ); ?>
						<?php endif; ?>
	</aside>
</div>
</div>
</section>
<?php do_action( 'woocommerce_after_single_product' ); ?>
